//
//  BFVideoCoverViewCell.swift
//  BFRecordScreenKit
//
//  Created by SanW on 2021/12/15.
//  Copyright © 2021 BytesFlow. All rights reserved.
//

import UIKit
import GPUImage

open class BFVideoCoverViewCell: BFImageCoverViewCell {
    public lazy var playBtn: UIButton = {
        let btn = UIButton(type: .custom)
        btn.setImage(imageInRecordScreenKit(by: "preview_play"), for: .normal)
        let vv = UIView(frame: CGRect(x: 0, y: 0, width: 1, height: 1))
        btn.setImage(vv.graphicsGetImage(), for: .selected)
        btn.addTarget(self, action: #selector(btnClick(sender:)), for: .touchUpInside)
        return btn
    }()
    
    @objc public class func gpuVideoViewCell(collectionView: UICollectionView, indexPath: IndexPath) -> BFVideoCoverViewCell {
        let cell: BFVideoCoverViewCell = collectionView.dequeueReusableCell(withReuseIdentifier: String(describing: BFVideoCoverViewCell.self), for: indexPath) as! BFVideoCoverViewCell
        return cell
    }

    public override func prepareForReuse() {
        super.prepareForReuse()
        playBtn.isSelected = false
    }

    override public init(frame: CGRect) {
        super.init(frame: frame)
        contentView.addSubview(playBtn)
    }
    
    public required init?(coder _: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    public override func addData() {
        super.addData()

    }

    public override func addLayout() {
        super.addLayout()
        playBtn.frame = CGRect.init(origin: CGPoint.zero, size: CGSize.init(width: 100, height: 100))
        playBtn.center = contentView.center
    }
    
    @objc func btnClick(sender: UIButton) {
        sender.isSelected = !sender.isSelected
        if btnClickHandle != nil {
            btnClickHandle!(sender,recordItem)
        }
    }
}
